# Akkoma.py
Python wrapper for the Akkoma (https://akkoma.dev/AkkomaGang/akkoma) API.  

    # Register your app! This only needs to be done once. Uncomment the code and substitute in your information.
    
    from akkoma import Akkoma

    '''
    Akkoma.create_app(
         'pytooterapp',
         api_base_url = 'https://yourakkomainstance.social',
         to_file = 'pytooter_clientcred.secret'
    )
    '''

    # Then login. This can be done every time, or use persisted.

    from akkoma import Akkoma
    
    akkoma = Akkoma(
        client_id = 'pytooter_clientcred.secret',
        api_base_url = 'https://yourakkomainstance.social'
    )
    akkoma.log_in(
        'my_login_email@example.com',
        'incrediblygoodpassword',
        to_file = 'pytooter_usercred.secret'
    )

    # To post, create an actual API instance.

    from akkoma import Akkoma
    
    akkoma = Akkoma(
        access_token = 'pytooter_usercred.secret',
        api_base_url = 'https://yourakkomainstance.social'
    )
    akkoma.status_post('Tooting from python using #akkomapy !')


